MAC3_BDGOPT(1)

NAME
mac3_bdgopt - Model-based Analysis for ChIP-Sequencing

DESCRIPTION
usage: macs3 bdgopt [-h] -i IFILE [-m {multiply,add,p2q,max,min}]

[-p [EXTRAPARAM ...]] [--outdir OUTDIR] -o OFILE
    [--verbose VERBOSE]

  options:

-h, --help
    show this help message and exit

-i, --ifile IFILE
    MACS score in bedGraph. Note: this must be a bedGraph file covering the ENTIRE genome. REQUIRED

-m, --method {multiply,add,p2q,max,min}
    Method to modify the score column of bedGraph file. Available choices are: multiply, add, max, min, or p2q. 1) multiply, the EXTRAPARAM is required and will be multiplied to the score column. If you intend to divide the score column by X, use value of 1/X as EXTRAPARAM. 2) add, the EXTRAPARAM is required and will be added to the score column. If you intend to subtract the score column by X, use value of -X as EXTRAPARAM. 3) max, the EXTRAPARAM is required and will take the maximum value between score and the EXTRAPARAM. 4) min, the EXTRAPARAM is required and will take the minimum value between score and the EXTRAPARAM. 5) p2q, this will convert p-value scores to q-value scores using Benjamini-Hochberg process. The EXTRAPARAM is not required. This method assumes the scores are -log10 p-value from MACS3. Any other types of score will cause unexpected errors.

-p, --extra-param [EXTRAPARAM ...]
    The extra parameter for METHOD. Check the detail of -m option.

--outdir OUTDIR
    If specified all output files will be written to that directory. Default: the current working directory

-o, --ofile OFILE
    Output BEDGraph filename.

--verbose VERBOSE
    Set verbose level of runtime message. 0: only show critical message, 1: show additional warning message, 2: show process information, 3: show debug messages. DEFAULT:2